> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/api-reference/rate-limits.md).

# Rate limits

To ensure the quality of Coin Metrics services, API is subject to rate limiting.

| Rate Limit Plan | REST API: Requests per Second (sliding window) | REST API: Download Speed | REST API: Max Parallel Requests | WebSocket API: Max Parallel Connections |
| --------------- | ---------------------------------------------- | ------------------------ | ------------------------------- | --------------------------------------- |
| Community       | 10 requests per 6 seconds per IP address       | Reduced speed            | 10                              | N/A                                     |
| Trial           | 10 requests per 6 seconds per API key          | Max speed                | 10                              | 200                                     |
| Default (PRO)   | 6000 requests per 20 seconds per API key       | Standard speed           | 10                              | 200                                     |
| Download (PRO)  | 6000 requests per 20 seconds per API key       | Max speed                | 10                              | 200                                     |

All PRO keys by default get the "default" rate limits. To download historical data at max speed, you need to switch to the "download" plan.

The paid and community versions of the API have a limit of 10 parallel REST API requests. After this limit is reached, further parallel requests will be queued, so performance will be slower.

If you reach the request-per-second limit, API starts to return `429 Too Many Requests` HTTP response status. API also provides `X-RateLimit-*` response headers formatted according to <https://tools.ietf.org/html/draft-polli-ratelimit-headers-03>. Additionally, the API provides the `X-RateLimit-Plan` header which indicates the current rate limiting plan. This header may have values: `default`, `trial`, `download`, or `community`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/api-reference/rate-limits.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
